MailcrateDocs
Workspace

Get the workspace

GET
/public/workspace

The workspace that owns the API key: identity, postal address, quota usage, sending state and review state.

Requires the workspace:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Response Body

application/json
  1. response
id*string
name*string
postalAddress*|null
usage*
sendingStatus*
review*
frequencyCap*|null
sendWindow*|null
Example Request
curl -X GET 'https://api.mailcrate.io/public/workspace' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "id": "string",  "name": "string",  "postalAddress": {},  "usage": {},  "sendingStatus": {    "state": "active",    "reason": "bounce-rate",    "pausedAt": "2019-08-24T14:15:22Z"  },  "review": {    "sendingQuotaExempt": true,    "firstLargeCampaignApproved": true,    "threshold": 0  },  "frequencyCap": {},  "sendWindow": {}}